net.i2p.client.streaming

## Class I2PSocketException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - net.i2p.client.streaming.I2PSocketException

- All Implemented Interfaces:
    Serializable

      public class I2PSocketException
      extends SocketException

  An I2P-specific IOException thrown from input and output streams, with a stored status code to be used for programmatic responses.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_CONNECTION_RESET` Router and I2CP status codes are 0 - 511.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PSocketException(int status)` Use canned message for this status code.
    `I2PSocketException(String message)` Use message provided

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocalizedMessage()` Translated
    `String` | `getMessage()` For programmatic action based on specific failure code
    `int` | `getStatus()` For programmatic action based on specific failure code

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_CONNECTION_RESET

          public static final int STATUS_CONNECTION_RESET

      Router and I2CP status codes are 0 - 511. Start ours at 512.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### I2PSocketException

          public I2PSocketException(int status)

      Use canned message for this status code. Standard codes from the router are 0-255, defined in MessageStatusMessage. Standard codes from client-side I2CP are 256-511, defined in SendMessageStatusListener. Standard codes from streaming are 512-767, defined here.
      Parameters:
        `status` - >= 0 from MessageStatusMessage or SendMessageStatusListener

    - #### I2PSocketException

          public I2PSocketException(String message)

      Use message provided

  - ### Method Detail

    - #### getLocalizedMessage

          public String getLocalizedMessage()

      Translated
      Overrides:
        `getLocalizedMessage` in class `Throwable`

    - #### getMessage

          public String getMessage()

      For programmatic action based on specific failure code
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        canned message based on status in int constructor or message from String constructor

    - #### getStatus

          public int getStatus()

      For programmatic action based on specific failure code
      Returns:
        value from int constructor or -1 for String constructor